Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.configuration.impl
Class FaceStringAttributeParser

    java.lang.Object
      com.pietschy.command.configuration.impl.FaceAttributeParser
          com.pietschy.command.configuration.impl.InheritedAttributeParser
              com.pietschy.command.configuration.impl.FaceStringAttributeParser

     class FaceStringAttributeParser

extends InheritedAttributeParser

Parses string values.

Constructor Summary
`protected` | `FaceStringAttributeParser(java.lang.String... propertyNames)` Creates a new instance for the specified property names.

Method Summary
`protected java.lang.Object` | `parseValue(java.lang.String propertyName, java.lang.String value, ExceptionFactory factory)` Simply returns the value.

Methods inherited from class com.pietschy.command.configuration.impl.InheritedAttributeParser
`parseEmptyImpl, parseImpl`

Methods inherited from class com.pietschy.command.configuration.impl.FaceAttributeParser
`getProperties, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaceStringAttributeParser

    protected FaceStringAttributeParser(java.lang.String... propertyNames)

  Creates a new instance for the specified property names.

  Parameters:
    `propertyNames` - the property names this parser handles.

Method Detail

### parseValue

    protected java.lang.Object parseValue(java.lang.String propertyName,
                                          java.lang.String value,
                                          ExceptionFactory factory)

  Simply returns the value.

  Specified by:
    `parseValue` in class `InheritedAttributeParser`
  Parameters:
    `propertyName` - the property name.
    `value` - the value.
    `factory` - the exception factory.
  Returns:
    value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch